package cn.com.qmth.stmms.ms.commons.utils;

import org.apache.commons.lang.StringUtils;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import javax.servlet.http.HttpServletRequest;

/**
 * @Date: 2021/5/31.
 */
public class ServletUtil {

    /**
     * 获取HttpServletRequest
     *
     * @return
     */
    public static HttpServletRequest getRequest() {
        ServletRequestAttributes servletRequestAttributes = (ServletRequestAttributes) RequestContextHolder.getRequestAttributes();
        return servletRequestAttributes.getRequest();
    }

    /**
     * 获取用户ID
     */
    public static Long getUserId() {
        HttpServletRequest request = getRequest();
        String userId = request.getHeader("userId");
        return StringUtils.isBlank(userId) ? null : Long.valueOf(userId);
    }

    /**
     * 获取工作ID
     */
    public static Long getWordId() {
        HttpServletRequest request = getRequest();
        String workId = request.getHeader("examId");
        return StringUtils.isBlank(workId) ? null : Long.valueOf(workId);
    }

    /**
     * 获取机构ID
     */
    public static Long getOrganizationId() {
        HttpServletRequest request = getRequest();
        String organizationId = request.getHeader("organizationId");
        return StringUtils.isBlank(organizationId) ? null : Long.valueOf(organizationId);
    }
}
